Subject: [PATCH v3 0/8] Scilab: Big update.

From: Nicolas Graves <[email-masked]>
Date: Mon, 6 Nov 2023 00:51:43 +0100

This patch series now introduces several changes to the scilab package:
1) non-failing tests are included. failing tests are harder to fix,
but it identifies these places quite well.
2) I've read the scilab-cli script to understand that it basically only serves to properly define a few environment variables. We don't need 40ko for this, so I've rewrapped the script to have a clean 110 lines guix-defined scilab-cli. We loose some low-level debugging functionality, but we didn't set the right inputs for this low-level debugging anyway, and I don't expect Scilab developpers to be using guix right now, so that's fine for now. Later we can wrap the script or hardcode inputs if someone needs it. 
3) Updated the version to 2024.0.0. We don't need the hdf5 patch anymore.
4) Set the version so that the welcoming message is up-to-date (not the timestamp though).
5) Set a SCIHOME default value that matches XDG base dirs specification, and doesn't override user-set -scihome (since it happens after when scilab-cli -scihome is called). Now SCIHOME doesn't seem to be read from the user environment at all, so the only way is through -scihome.

Nicolas Graves (8):
  gnu: scilab: Remove uneeded code.
  gnu: scilab: Activate tests and disable failing tests.
  gnu: scilab: Use gexp for tcl and tk libraries.
  gnu: scilab: Add phase rewrap-scilab-cli.
  gnu: scilab: Reindent.
  gnu: scilab: Update to 2024.0.0.
  gnu: scilab: Add phase set-version.
  gnu: scilab: Set default SCIHOME value.

 gnu/packages/maths.scm                        | 236 +++++++++++-------
 .../patches/scilab-hdf5-1.8-api.patch         |  71 ------
 2 files changed, 141 insertions(+), 166 deletions(-)
 delete mode 100644 gnu/packages/patches/scilab-hdf5-1.8-api.patch

-- 
2.41.0